<form id="module_form" class="defaultForm form-horizontal"
      action="index.php?controller=AdminModules&configure=winddoc&tab_module=administration&module_name=winddoc&token={$token}"
      method="post" enctype="multipart/form-data" novalidate>
    <input type="hidden" name="submitModule" value="1"/>

    <div class="panel" id="fieldset_0">
        <div class="panel-heading">
            <i class="icon-cogs"></i> WindDoc
        </div>


        {if !$winddoc_enable}
            <div class="form-group" style="margin-bottom:10px">
                <div class="col-lg-12">
                    <div class ="fattura24-error">
                        <h4>MODULO NON ATTIVATO</h4>
                    </div>
                </div>
            </div>
        {/if}

        <div class="form-wrapper">
          <div class="form-group">
            <label class="control-label col-lg-3">Collega WindDoc</label>
            <div class="col-lg-9">



              <button {if $PS_WINDDOC_TOKEN != ""}style="display:none"{else}{/if} id="btn_connect_wd" title="Collega Winddoc" type="button" class="btn btn-success" onclick="popitwd()" style=""><span><span><span>Collega Winddoc</span></span></span></button>
              <span id="span_wd_connected" style="display:inline-block;color:#338A2E;border-radius: 12px;border: 2px dashed;padding:8px; font-size:14px;{if $PS_WINDDOC_TOKEN !=""}{else}display:none{/if}"><i class="material-icons" style="float:left;font-size: 20px;">check_circle</i> <b>WindDoc Collegato</b></span>
              <button {if $PS_WINDDOC_TOKEN != ""}{else}style="display:none"{/if} id="btn_disconnect_wd" title="Scollega Winddoc" type="button" class="btn btn-danger" onclick="scollegaWD()" style=""><span><span><span>Scollega Winddoc</span></span></span></button>
              <input type="hidden" name="PS_WINDDOC_TOKEN" value="{$PS_WINDDOC_TOKEN}" id="winddoc_accesso_token">
              <script type="text/javascript">
              function scollegaWD(){
                document.getElementById("winddoc_accesso_token").value = "";
                document.getElementById("span_wd_connected").style.display = "none";
                document.getElementById("btn_disconnect_wd").style.display = "none";
                document.getElementById("btn_connect_wd").style.display = "inline-block";
              }
              function popitwd() {
                newwindow=window.open("{$winddoc_login_url}","Login WindDoc",'height=400,width=500');
                if (window.focus) { newwindow.focus(); }
                return false;
              }
              window.addEventListener("message", receiveMessage, false);
              function receiveMessage(event)
              {

              	if (event.origin == "{$ps_winddoc_url}"){
                  document.getElementById("winddoc_accesso_token").value = event.data;
                  document.getElementById("span_wd_connected").style.display = "inline";
                  document.getElementById("btn_disconnect_wd").style.display = "inline";
                  document.getElementById("btn_connect_wd").style.display = "none";
                }
              }
            </script>


					  </div>
					</div>
        </div>


      </div>


      <div class="panel" id="fieldset_0">
          <div class="panel-heading">
              <i class="icon-user"></i> Clienti
          </div>
          <div class="form-wrapper">


            <div class="form-group">
              <label class="control-label col-lg-3">
							         <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Registra l'anagrafica del cliente in WindDoc quando viene effettuato un'ordine">
												Sincronizza clienti
				               </span>
							</label>

							<div class="col-lg-4">
							         <select name="PS_WINDDOC_CONTATTI_SINCRONIZZA_CONTATTO" class=" fixed-width-xl">
											      <option value="0">No</option>
                            <option value="1" {if $PS_WINDDOC_CONTATTI_SINCRONIZZA_CONTATTO==1}selected{/if}>Si</option>
                        </select>
                      </div>
					   </div>
          </div>
      </div>

      <div class="panel" id="">
          <div class="panel-heading">
              <i class="icon-file-alt"></i> Ordini
          </div>

          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
							         <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="abilita Sincronizzazione ordini clienti">
												Sincronizza ordini
				               </span>
							</label>

							<div class="col-lg-4">
							         <select name="PS_WINDDOC_ORDINI_ENABLE" class=" fixed-width-xl">
											      <option value="0">No</option>
                            <option value="1" {if $PS_WINDDOC_ORDINI_ENABLE==1}selected{/if}>Si</option>
                        </select>
                      </div>
					   </div>
          </div>


          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Seleziona il metodo di sincronizzazione degli ordini">
                        Tipo sincronizzazione ordini
                       </span>
              </label>

              <div class="col-lg-4">
                       <select name="PS_WINDDOC_ORDINI_SINCRONIZZA_ORDINI" class=" fixed-width-xl">
                            <option value="0" {if $PS_WINDDOC_ORDINI_SINCRONIZZA_ORDINI==0}selected{/if}>Manuale</option>
                            <option value="1" {if $PS_WINDDOC_ORDINI_SINCRONIZZA_ORDINI==1}selected{/if}>Quando viene generato un ordine</option>

                        </select>
                      </div>
             </div>
          </div>



          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Viene scaricato il prodotto da magazzino quando viene emesso un'ordine">
                        Abilita magazzino
                       </span>
              </label>

              <div class="col-lg-4">
                       <select name="PS_WINDDOC_ORDINI_MAGAZZINO" class=" fixed-width-xl">
                            <option value="0">No</option>
                            <option value="1" {if $PS_WINDDOC_ORDINI_MAGAZZINO==1}selected{/if}>Si</option>
                        </select>
                      </div>
             </div>
          </div>



          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Seleziona il modello di stampa dell'ordine.">
                        Modello Stampa Ordine
                       </span>
              </label>

              <div class="col-lg-4">
                 <select name="PS_WINDDOC_ORDINI_TEMPLATE" class=" fixed-width-xl">
                   {foreach from=$ps_winddoc_list_template_quote item=name key=key}
                     <option value="{$key}" {if $PS_WINDDOC_ORDINI_TEMPLATE==$key}selected{/if}>{$name}</option>
                  {/foreach}
                  </select>
               </div>
             </div>
          </div>


          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Inserisci il codice di numerazione da attribuire agli ordini generati. Se non viene impostato nessun codice deglio ordini seguiranno la numerazione progressiva.">
                        Numerazione ordini
                       </span>
              </label>

              <div class="col-lg-4">
                 <input type="text" name="PS_WINDDOC_ORDINI_NUMERAZIONE" value="{$PS_WINDDOC_ORDINI_NUMERAZIONE}">
               </div>
             </div>
          </div>

      </div>





      <div class="panel" id="">
          <div class="panel-heading">
              <i class="icon-file-alt"></i> Fatture
          </div>

          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
							         <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Abilita la gestione della fatturazione di WindDoc">
												Sincronizza fatture
				               </span>
							</label>

							<div class="col-lg-4">
							         <select name="PS_WINDDOC_FATTURE_ENABLE" class=" fixed-width-xl">
											      <option value="0">No</option>
                            <option value="1" {if $PS_WINDDOC_FATTURE_ENABLE==1}selected{/if}>Si</option>
                        </select>
                      </div>
					   </div>
          </div>


          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Seleziona il metodo di sincronizzazione delle fatture">
                        Tipo sincronizzazione fatture
                       </span>
              </label>

              <div class="col-lg-4">
                       <select name="PS_WINDDOC_FATTURE_SINCRONIZZA_FATTURE" class=" fixed-width-xl">
                            <option value="0" {if $PS_WINDDOC_FATTURE_SINCRONIZZA_FATTURE==0}selected{/if}>Manuale</option>
                            <option value="1" {if $PS_WINDDOC_FATTURE_SINCRONIZZA_FATTURE==1}selected{/if}>Quando imposti un ordine come pagato</option>
                        </select>
                      </div>
             </div>
          </div>



          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Viene scaricato il prodotto da magazzino quando viene emesso una fattura">
                        Abilita magazzino
                       </span>
              </label>

              <div class="col-lg-4">
                       <select name="PS_WINDDOC_FATTURE_MAGAZZINO" class=" fixed-width-xl">
                            <option value="0">No</option>
                            <option value="1" {if $PS_WINDDOC_FATTURE_MAGAZZINO==1}selected{/if}>Si</option>
                        </select>
                      </div>
             </div>
          </div>



          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Seleziona il modello di stampa della fattura.">
                        Modello Stampa Fatture
                       </span>
              </label>

              <div class="col-lg-4">
                 <select name="PS_WINDDOC_FATTURE_TEMPLATE" class=" fixed-width-xl">
                   {foreach from=$ps_winddoc_list_template_invoice item=name key=key}
                     <option value="{$key}" {if $PS_WINDDOC_FATTURE_TEMPLATE==$key}selected{/if}>{$name}</option>
                  {/foreach}
                  </select>
               </div>
             </div>
          </div>


          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Imposta la fattura come già pagata al momento della creazione in PrestaShop. Se abilitata seleziona il conto su cui impostare il pagamento. Nel caso in sui sia selezionato il contro Predefinito sarà utilizzato il conto predefinito impostato in PrestaShop.">
                        Contrassegna Fattura come pagata
                       </span>
              </label>

              <div class="col-lg-4">
                <select name="PS_WINDDOC_FATTURE_PAGAMENTO" class=" fixed-width-xl">
                     <option value="no">No</option>
                     {foreach from=$ps_winddoc_list_conti item=name key=key}
                       <option value="{$key}" {if $PS_WINDDOC_FATTURE_PAGAMENTO==$key}selected{/if}>{$name}</option>
                    {/foreach}
                 </select>
               </div>
             </div>
          </div>


          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Inserisci il codice di numerazione da attribuire alle fatture generate. Se non viene impostato nessun codice le fatture seguiranno la numerazione progressiva.">
                        Numerazione fatture
                       </span>
              </label>

              <div class="col-lg-4">
                 <input type="text" name="PS_WINDDOC_FATTURE_NUMERAZIONE" value="{$PS_WINDDOC_FATTURE_NUMERAZIONE}">
               </div>
             </div>
          </div>



          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Invia l'email al cliente quando viene emessa la fattura.">
                        Invia Email
                       </span>
              </label>

              <div class="col-lg-4">
                <select name="PS_WINDDOC_FATTURE_SEND_EMAIL" class=" fixed-width-xl">
                     <option value="0">No</option>
                     <option value="1" {if $PS_WINDDOC_FATTURE_SEND_EMAIL==1}selected{/if}>Si</option>
                 </select>
               </div>
             </div>
          </div>


      </div>







      <div class="panel" id="">
          <div class="panel-heading">
              <i class="icon-file"></i> Ricevute
          </div>

          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
							         <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Abilita la gestione della ricevuta in WindDoc quando il cliente non ha la partita iva">
												Crea Ricevute
				               </span>
							</label>

							<div class="col-lg-4">
							         <select name="PS_WINDDOC_RICEVUTE_SINCRONIZZA_RICEVUTE" class=" fixed-width-xl">
											      <option value="0">No</option>
                            <option value="1" {if $PS_WINDDOC_RICEVUTE_SINCRONIZZA_RICEVUTE==1}selected{/if}>Si</option>
                        </select>
                      </div>
					   </div>
          </div>




          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Seleziona il modello di stampa della ricevuta.">
                        Modello Stampa Ricevute
                       </span>
              </label>

              <div class="col-lg-4">
                 <select name="PS_WINDDOC_RICEVUTE_TEMPLATE" class=" fixed-width-xl">
                   {foreach from=$ps_winddoc_list_template_ricevute item=name key=key}
                     <option value="{$key}" {if $PS_WINDDOC_RICEVUTE_TEMPLATE==$key}selected{/if}>{$name}</option>
                  {/foreach}
                  </select>
               </div>
             </div>
          </div>


          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Imposta la ricevuta come già pagata al momento della creazione in PrestaShop. Se abilitata seleziona il conto su cui impostare il pagamento. Nel caso in sui sia selezionato il contro Predefinito sarà utilizzato il conto predefinito impostato in PrestaShop.">
                        Contrassegna Ricevuta come pagata
                       </span>
              </label>

              <div class="col-lg-4">
                <select name="PS_WINDDOC_RICEVUTE_PAGAMENTO" class=" fixed-width-xl">
                  <option value="no">No</option>
                  {foreach from=$ps_winddoc_list_conti item=name key=key}
                    <option value="{$key}" {if $PS_WINDDOC_RICEVUTE_PAGAMENTO==$key}selected{/if}>{$name}</option>
                 {/foreach}
                 </select>
               </div>
             </div>
          </div>


          <div class="form-wrapper">
            <div class="form-group">
              <label class="control-label col-lg-3">
                       <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="Inserisci il codice di numerazione da attribuire alle ricevute generate. Se non viene impostato nessun codice le ricevute seguiranno la numerazione progressiva.">
                        Numerazione ricevute
                       </span>
              </label>

              <div class="col-lg-4">
                 <input type="text" name="PS_WINDDOC_RICEVUTE_NUMERAZIONE" value="{$PS_WINDDOC_RICEVUTE_NUMERAZIONE}">
               </div>
             </div>
          </div>


      </div>

      <div class="panel" id="">

          <div class="form-wrapper">
              <div class="panel-footer">
      			       <button type="submit" value="1" id="module_form_submit_btn" name="submitBlocktopmenu" class="btn btn-default pull-right"><i class="process-icon-save"></i> Salva</button>
      				</div>
            </div>
          </div>
</form>
