<?php

class HistoryController extends HistoryControllerCore{
  
  public function getTemplateVarOrders(){
    $orders = parent::getTemplateVarOrders();
    if(Module::isEnabled('winddoc')){
      foreach ($orders as $key => $order) {

        $det = Module::getInstanceByName('winddoc')->dettaglioOrdine($order->details->id);
        if(isset($det["url_invoice_winddoc"]) && $det["url_invoice_winddoc"]!=""){
          $orders[$key]->details->offsetSet("invoice_url",$det["url_invoice_winddoc"],true);
        }
      }
    }

    return $orders;
  }
}
